org.eclipse.gef.dot.internal.ui

## Class Dot2ZestAttributesConverter

- java.lang.Object
- - org.eclipse.gef.dot.internal.ui.Dot2ZestAttributesConverter

All Implemented Interfaces:
  org.eclipse.gef.common.attributes.IAttributeCopier

    public class Dot2ZestAttributesConverter
    extends java.lang.Object
    implements org.eclipse.gef.common.attributes.IAttributeCopier

A converter that transforms a `Graph` that is attributed with `DotAttributes` into a `Graph` that is attributed with `ZestProperties`.

### Nested Class Summary

Nested Classes
`static class` `Dot2ZestAttributesConverter.Options`

### Field Summary

### Fields inherited from interface org.eclipse.gef.common.attributes.IAttributeCopier

`NULL_COPY, SHALLOW_COPY`

### Constructor Summary

Constructors
Constructor and Description
`Dot2ZestAttributesConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `convertAttributes(org.eclipse.gef.graph.Edge dot, org.eclipse.gef.graph.Edge zest)`
`protected void` `convertAttributes(org.eclipse.gef.graph.Graph dot, org.eclipse.gef.graph.Graph zest)`
`protected void` `convertAttributes(org.eclipse.gef.graph.Node dot, org.eclipse.gef.graph.Node zest)`
`void` `copy(org.eclipse.gef.common.attributes.IAttributeStore source, org.eclipse.gef.common.attributes.IAttributeStore target)`
`Dot2ZestAttributesConverter.Options` `options()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Dot2ZestAttributesConverter

    public Dot2ZestAttributesConverter()

### Method Detail

#### copy

    public void copy(org.eclipse.gef.common.attributes.IAttributeStore source,
                     org.eclipse.gef.common.attributes.IAttributeStore target)

Specified by:
  `copy` in interface `org.eclipse.gef.common.attributes.IAttributeCopier`

#### convertAttributes

    protected void convertAttributes(org.eclipse.gef.graph.Edge dot,
                                     org.eclipse.gef.graph.Edge zest)

#### convertAttributes

    protected void convertAttributes(org.eclipse.gef.graph.Node dot,
                                     org.eclipse.gef.graph.Node zest)

#### convertAttributes

    protected void convertAttributes(org.eclipse.gef.graph.Graph dot,
                                     org.eclipse.gef.graph.Graph zest)

#### options

    public Dot2ZestAttributesConverter.Options options()